--- /dev/null	2012-08-31 05:09:00.000000000 +0400
+++ new/grubadm/grubadm.h	2012-08-31 05:09:00.821177696 +0400
@@ -0,0 +1,38 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2012, Daniil Lunev. All rights reserved.
+ */
+#define APP_NAME "grubadm"
+#define CONFIG_PATH "/boot/illumos.cfg"
+#define TMP_CONFIG_PATH "/boot/illumos.cfg.tmp"
+
+#define HYPER_KERNEL "/boot/$ISADIR/xen.gz"
+#define HYPER_KERNEL_OPTS "console=vga"
+
+#define MAX_STRING_SIZE 1024
+#define MAX_MODULE_AMOUNT 8
+
+#define MSG_ERR_LONG_LINE "Too long line"
+#define MSG_ERR_WRONG_SYNTAX "Syntax error"
+#define MSG_ERR_SAME_NAME "Duplicate entry definition"
+#define MSG_ERR_NO_ENTRY "Entry with defined parameters can not be found"
+#define MSG_ERR_HYPER "Hyper operation failed"
